%define         _state          stable
%define		orgname		libkipi
%define         qtver           4.8.3

Summary:	Kipi library
Summary(pl.UTF-8):	Biblioteka kipi
Name:		kde4-libkipi
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fa09506325fc2b906b1c5eb031eae68a
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkipi <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kipi library.

%description -l pl.UTF-8
Biblioteka kipi.

%package devel
Summary:	Header files for libkipi development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkipi
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libkipi-devel <= 4.8.0

%description devel
Header files for libkipi development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkipi.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kxmlkipicmd
%attr(755,root,root) %ghost %{_libdir}/libkipi.so.??
%attr(755,root,root) %{_libdir}/libkipi.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_kxmlhelloworld.so
%{_datadir}/apps/kipi
%{_datadir}/apps/kxmlkipicmd
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_datadir}/kde4/services/kipiplugin_kxmlhelloworld.desktop
%{_datadir}/kde4/servicetypes/kipiplugin.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkipi.so
%{_includedir}/libkipi
%{_pkgconfigdir}/libkipi.pc
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkipi.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a2baa82
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> c2b6076
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b24071f
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f6136d4
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ce98e4
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ef28cb
- up to 4.10.0

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3da87fa
- up to 4.9.5

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 46f870e
- up to 4.9.4

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c499a9
- up to 4.9.3

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c9be4
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> e473f48
- updated to 4.9.1.

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d48bd33
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 547461a
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c6cbcc3
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6f6a42
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c1e9a3d
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f95c423
- up to 4.8.1

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 225eb5e
- release 3

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> c3df698
- fix O:, release 2.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> af3bc5f
- now as kde4-libkipi

